All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
roboptim::visualization::Gnuplot Class Reference
Visualization

Gnuplot script. More...

`#include <roboptim/core/visualization/gnuplot.hh>`

## Public Member Functions

| ~Gnuplot () throw ()
void | push_command (gnuplot::Command cmd) throw ()
| Add a new Gnuplot command to the script. More...
std::ostream & | print (std::ostream &) const throw ()
| Display the Gnuplot script on the specified output stream. More...
Gnuplot & | operator<< (gnuplot::Command) throw ()

## Static Public Member Functions

static Gnuplot | make_gnuplot () throw ()
| Instanciate a Gnuplot without setting a term. More...
static Gnuplot | make_interactive_gnuplot () throw ()
| Instanciate a Gnuplot suitable for interactive use. More...

## Protected Member Functions

| Gnuplot () throw ()
| Default constructor can not be called directly. More...

## Detailed Description

Gnuplot script.

This class gathers Gnuplot commands to build a complete Gnuplot script. Gnuplot commands can be inserted through this object through the `<<` operator and this object can be put into an output stream using the `<<` operator.

Examples:
  finite-difference-gradient.cc, visualization-gnuplot-function.cc, and visualization-gnuplot-simple.cc.

## Constructor & Destructor Documentation

roboptim::visualization::Gnuplot::~Gnuplot | ( |  | ) |
throw | ( |
| ) |  |

roboptim::visualization::Gnuplot::Gnuplot | ( |  | ) |
throw | ( |
| ) |  |

explicit protected

Default constructor can not be called directly.

Use of the named constructor (see static methods) to instantiate this class.

References roboptim::visualization::gnuplot::comment(), and push_command().

## Member Function Documentation

static Gnuplot roboptim::visualization::Gnuplot::make_gnuplot | ( |  | ) |
throw | ( |
| ) |  |

inline static

Instanciate a Gnuplot without setting a term.

Returns
  Gnuplot instance

Examples:
  visualization-gnuplot-simple.cc.

static Gnuplot roboptim::visualization::Gnuplot::make_interactive_gnuplot | ( |  | ) |
throw | ( |
| ) |  |

inline static

Instanciate a Gnuplot suitable for interactive use.

This initializes a persistent Gnuplot instance which are suitable for user interaction.

Returns
  Gnuplot instance

Examples:
  finite-difference-gradient.cc, and visualization-gnuplot-function.cc.

References push_command(), and roboptim::visualization::gnuplot::set().

Gnuplot & roboptim::visualization::Gnuplot::operator<< | ( | gnuplot::Command | cmd | ) |
throw | ( |
| ) |  |

References push_command().

std::ostream & roboptim::visualization::Gnuplot::print | ( | std::ostream & | o | ) | const
throw | ( |
| ) |  |

Display the Gnuplot script on the specified output stream.

Parameters

  o | output stream used for display

Returns
  output stream

Referenced by roboptim::visualization::operator<<().

void roboptim::visualization::Gnuplot::push_command | ( | gnuplot::Command | cmd | ) |
throw | ( |
| ) |  |

Add a new Gnuplot command to the script.

Parameters

  cmd | command that will be pushed

Referenced by Gnuplot(), make_interactive_gnuplot(), operator<<(), and roboptim::visualization::operator<<().